package com.artfess.mongodb.query;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author zhx
 * @create 2021/8/2
 */
public class FieldSortMongo implements Serializable {
    private static final long serialVersionUID = -1712830705595375365L;

    @ApiModelProperty(name="property",notes="排序字段")
    private String property;
    @ApiModelProperty(name="direction", notes="排序方向,true为ASC  ,false 为DESC")
    private Boolean order;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getProperty() {
        return property;
    }

    public void setProperty(String property) {
        this.property = property;
    }

    public Boolean getOrder() {
        return order;
    }

    public void setOrder(Boolean order) {
        this.order = order;
    }
}
